IF EXISTS (
    SELECT 1 
    FROM INFORMATION_SCHEMA.COLUMNS 
    WHERE TABLE_NAME = 'HMUAYENEEK3000' 
      AND COLUMN_NAME = 'EVLILIKSURESI' 
      AND (DATA_TYPE <> 'nvarchar' OR CHARACTER_MAXIMUM_LENGTH <> 20)
)
BEGIN
    ALTER TABLE HMUAYENEEK3000
    ALTER COLUMN EVLILIKSURESI NVARCHAR(20);
END



IF EXISTS (
    SELECT 1 
    FROM INFORMATION_SCHEMA.COLUMNS 
    WHERE TABLE_NAME = 'HMUAYENEEK3000' 
      AND COLUMN_NAME = 'Kilo' 
      AND (DATA_TYPE <> 'float' )
)
BEGIN
    ALTER TABLE HMUAYENEEK3000
    ALTER COLUMN Kilo float;
END